Skip to main content
`Ctrl`+`K`

# MatPartitioningApplyND

Gets a nested dissection partitioning for a matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningApplyND(MatPartitioning matp, IS *partitioning)

Collective

## Input Parameter

- matp - the matrix partitioning object

## Output Parameter

- partitioning - the partitioning. For each local node, a positive value indicates the processor number the node has been assigned to. Negative x values indicate the separator level -(x+1).

## Note

The user can define additional partitionings; see `MatPartitioningRegister()`.

## See Also

Matrices, `Mat`, `MatPartitioningRegister()`, `MatPartitioningCreate()`, `MatPartitioningDestroy()`, `MatPartitioningSetAdjacency()`, `ISPartitioningToNumbering()`, `ISPartitioningCount()`

## Level

intermediate

## Location

src/mat/graphops/partition/partition.c

## Implementations

MatPartitioningApplyND_Parmetis() in src/mat/graphops/partition/impls/pmetis/pmetis.c
MatPartitioningApplyND_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages